This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 692283

Summary: booting an install disc in a KVM guest on a F14 host, memtest86+ fails to run from the boot menu
Product: [Fedora] Fedora Reporter: Andre Robatino <robatino>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: amit.shah, berrange, dwmw2, ehabkost, itamar, jaswinder, jforbes, knoel, ondrejj, rhe, scottt.tw, stephent98, tburke, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-21 07:43:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Andre Robatino 2011-03-30 18:33:12 EDT
Description of problem:
Booting the 15 Beta TC1 ISO file (either i386 or x86_64, either DVD or netinst) as a KVM guest, memtest86+ will not run from the boot menu. When selected, the installer just goes back to the boot menu. The problem seems KVM-specific since it works in VirtualBox 4.0.4.

Version-Release number of selected component (if applicable):
qemu-kvm-0.14.0-4.fc15

How reproducible:
always

Steps to Reproduce:
1. Boot either the DVD or netinst as a KVM guest.
2. Select the memtest option at the boot menu.
  
Actual results:
Goes back to the boot menu.

Expected results:
Should run memtest.

Additional info:
All images verified. Works using VirtualBox 4.0.4.
Comment 1 He Rui 2011-03-31 05:45:12 EDT
Reproduced. It doesn't run memtest of F-13, F-14 isos as well.
Comment 2 Andre Robatino 2011-03-31 18:38:51 EDT
Confirmed going back to F10. After selecting the memtest entry, I can briefly see a line "Loading memtest..." but it almost immediately cycles back to the page saying "Starting SeaBIOS".
Comment 3 Andre Robatino 2011-03-31 18:49:25 EDT
Rhe: Which Version of Fedora are you using as the KVM host? I'm using F14, and don't know if this bug exists in F15's KVM. I could try checking by running a guest inside a guest, but that's _extremely_ slow last time I tried.
Comment 4 Andre Robatino 2011-03-31 20:06:41 EDT
Attempting to run a guest inside a guest, with a F15 "host", memtest runs, with a F13 "host", it just hangs at "Loading memtest..." (I wanted to see if the bug exists in F13's KVM as well). Needs to be verified on bare metal.
Comment 5 He Rui 2011-03-31 22:43:36 EDT
(In reply to comment #3)
> Rhe: Which Version of Fedora are you using as the KVM host? I'm using F14, and
> don't know if this bug exists in F15's KVM. I could try checking by running a
> guest inside a guest, but that's _extremely_ slow last time I tried.

Oh sorry, I forgot to mention that I'm using F14 as host as well. And when I used F13 as host for guest memtest, it worked.
Comment 6 He Rui 2011-03-31 23:03:15 EDT
(In reply to comment #4)
> Attempting to run a guest inside a guest, with a F15 "host", memtest runs, with
> a F13 "host", it just hangs at "Loading memtest..." (I wanted to see if the bug
> exists in F13's KVM as well). Needs to be verified on bare metal.

I can run memtest of F15 beta TC1 isos with a F15 host.
Comment 7 Andre Robatino 2011-03-31 23:08:35 EDT
Rhe's testing indicates that this works with either a F13 or F15 host and only breaks with a F14 host, so changing the Version to 14.
Comment 8 Andre Robatino 2011-04-10 23:54:18 EDT
Just tried booting Fedora-15-Beta-i686-Live-Desktop.iso in both VirtualBox and KVM on a F14 host, and the same thing happens. Works fine on bare metal.
Comment 9 Cole Robinson 2012-05-21 07:43:22 EDT
F14 is no longer supported. If anyone is still affected by this bug with newer
qemu versions (fedora 16 or 17), please reopen this report (though it sounds like this works in f15 at least).